import { Diagnostic } from "@siteimprove/alfa-act";
import type { Length } from "@siteimprove/alfa-css";
import type { Declaration, Element, Node } from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
import type { Serializable } from "@siteimprove/alfa-json";
import type { Longhands, Style } from "@siteimprove/alfa-style";
/**
 * @public
 */
export declare class TextSpacing<N extends Longhands.Name> extends Diagnostic {
    static of(message: string): Diagnostic;
    static of<N extends Longhands.Name>(message: string, property: N, value: Length.Canonical, fontSize: Style.Computed<"font-size">, ratio: number, threshold: number, declaration: Declaration, owner: Element): TextSpacing<N>;
    private readonly _property;
    private readonly _value;
    private readonly _fontSize;
    private readonly _ratio;
    private readonly _threshold;
    private readonly _declaration;
    private readonly _owner;
    protected constructor(message: string, property: N, value: Length.Canonical, fontSize: Style.Computed<"font-size">, ratio: number, threshold: number, declaration: Declaration, owner: Element);
    get property(): N;
    get value(): Length.Canonical;
    get fontSize(): Style.Computed<"font-size">;
    get ratio(): number;
    get threshold(): number;
    get declaration(): Declaration;
    get owner(): Element;
    equals(value: TextSpacing<N>): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): TextSpacing.JSON<N>;
}
/**
 * @public
 */
export declare namespace TextSpacing {
    interface JSON<N extends Longhands.Name> extends Diagnostic.JSON {
        property: N;
        value: Length.Fixed.JSON<"px">;
        "font-size": Serializable.ToJSON<Style.Computed<"font-size">>;
        ratio: number;
        threshold: number;
        declaration: Declaration.JSON;
        owner: Element.JSON;
    }
    function isTextSpacing(value: Diagnostic): value is TextSpacing<Longhands.Name>;
    function isTextSpacing(value: unknown): value is TextSpacing<Longhands.Name>;
}
//# sourceMappingURL=text-spacing.d.ts.map