import type { Device } from "@siteimprove/alfa-device";
import { type Element } from "@siteimprove/alfa-dom";
import { Rectangle } from "@siteimprove/alfa-rectangle";
import { Result } from "@siteimprove/alfa-result";
/**
 * Gets the bounding box of the clickable area of an element
 * or an error if the element or one of its descendants doesn't have a bounding box
 * or if the element itself is not visible.
 *
 * @remarks
 * This function assumes that the element can receive pointer events, i.e. is clickable.
 * If called on an element that is not clickable, the function will still return the
 * the area that would be clickable if the element could receive pointer events.
 *
 * The clickable box is approximated by the smallest rectangle containing
 * the bounding boxes of the element and all its visible descendants.
 *
 * @internal
 */
export declare function getClickableBox(device: Device, element: Element): Result<Rectangle, string>;
//# sourceMappingURL=get-clickable-box.d.ts.map