import type { Length } from "@siteimprove/alfa-css";
import type { Device } from "@siteimprove/alfa-device";
import type { Declaration, Element } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import { Style } from "@siteimprove/alfa-style";
import { TextSpacing } from "../diagnostic/text-spacing.js";
type Name = "letter-spacing" | "line-height" | "word-spacing";
/**
 * @internal
 */
export declare function isWideEnough<N extends Name>(target: Element, device: Device, property: N, threshold: number): {
    1: import("@siteimprove/alfa-option").Maybe<import("@siteimprove/alfa-result").Result<import("@siteimprove/alfa-act").Diagnostic, import("@siteimprove/alfa-act").Diagnostic>>;
};
/**
 * @public
 */
export declare namespace Outcomes {
    const IsWideEnough: (prop: Name, value: Length.Canonical, fontSize: Style.Computed<"font-size">, ratio: number, threshold: number, declaration: Declaration, owner: Element) => Ok<TextSpacing<Name>>;
    const IsNotWideEnough: (prop: Name, value: Length.Canonical, fontSize: Style.Computed<"font-size">, ratio: number, threshold: number, declaration: Declaration, owner: Element) => Err<TextSpacing<Name>>;
}
export {};
//# sourceMappingURL=is-wide-enough.d.ts.map