import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import type { Role } from "@siteimprove/alfa-aria";
import { Element } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
import { Group } from "../common/act/group.js";
import { Question } from "../common/act/question.js";
import { WithRole } from "../common/diagnostic/with-role.js";
declare const _default: Rule.Atomic<Page, Group<Element<string>>, Question.Metadata, Group<Element<string>>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const SameResource: (role: Role.Name, name: string) => Ok<WithRoleAndName>;
    const DifferentResources: (role: Role.Name, name: string) => Err<WithRoleAndName>;
}
/**
 * @public
 */
export declare class WithRoleAndName extends WithRole {
    static of(message: string): Diagnostic;
    static of(message: string, role: Role.Name): WithRole;
    static of(message: string, role: Role.Name, name: string): WithRoleAndName;
    private readonly _name;
    protected constructor(message: string, role: Role.Name, name: string);
    get name(): string;
    equals(value: WithRoleAndName): boolean;
    equals(value: unknown): value is this;
    toJSON(): WithRoleAndName.JSON;
}
/**
 * @public
 */
export declare namespace WithRoleAndName {
    interface JSON extends WithRole.JSON {
        name: string;
    }
    function isWithRoleAndName(value: Diagnostic): value is WithRoleAndName;
    function isWithRoleAndName(value: unknown): value is WithRoleAndName;
}
//# sourceMappingURL=rule.d.ts.map