import { Diagnostic } from "@siteimprove/alfa-act";
import type { Node } from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
import { Map } from "@siteimprove/alfa-map";
/**
 * @public
 */
export declare class MatchingClasses extends Diagnostic {
    static of(message: string, matchingTargets?: Map<string, number>, matchingNonTargets?: Map<string, number>): Diagnostic;
    private readonly _matchingTargets;
    private readonly _matchingNonTargets;
    protected constructor(message: string, matchingTargets: Map<string, number>, matchingNonTargets: Map<string, number>);
    get matchingTargets(): Map<string, number>;
    get matchingNonTargets(): Map<string, number>;
    equals(value: MatchingClasses): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): MatchingClasses.JSON;
}
/**
 * @public
 */
export declare namespace MatchingClasses {
    interface JSON extends Diagnostic.JSON {
        matchingTargets: Map.JSON<string, number>;
        matchingNonTargets: Map.JSON<string, number>;
    }
    function isMatchingClasses(value: Diagnostic): value is MatchingClasses;
    function isMatchingClasses(value: unknown): value is MatchingClasses;
}
//# sourceMappingURL=diagnostics.d.ts.map